/**
 *
 * All content copyright (c) 2003-2007 Terracotta, Inc.,
 * except as may otherwise be noted in a separate copyright notice.
 * All rights reserved.
 *
 */
package demo.inventory;

/**
 *  Description of the Class
 *
 *@author    Terracotta, Inc.
 */
public class Product {
   /**
    *  Description of the Field
    */
   public double price;
   /**
    *  Description of the Field
    */
   public final String name;
   /**
    *  Description of the Field
    */
   public final String sku;

   public Product(String n, double p, String s) {
      name = n;
      price = p;
      sku = s;
   }

   public void setPrice(double p) {
      synchronized (this) {
         price = p;
      }
   }

   public int hashCode() {
      return sku.hashCode();
   }
}
