/**
 *
 * All content copyright (c) 2003-2007 Terracotta, Inc.,
 * except as may otherwise be noted in a separate copyright notice.
 * All rights reserved.
 *
 */
package demo.inventory;

/**
 *  Description of the Class
 *
 *@author    Terracotta, Inc.
 */
public class Department {
   private final String code;
   private final String name;
   private final Product[] products;

   public Department(String c, String n, Product[] p) {
      code = c;
      name = n;
      products = p;
   }

   public String getName() {
      return name;
   }

   public Product[] getProducts() {
      return products;
   }
}
